pcl_cuda::PassThrough< PointCloudSOA< Device > > Class Template Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/filters/include/pcl/cuda/filters/passthrough.h>`

Inheritance diagram for pcl_cuda::PassThrough< PointCloudSOA< Device > >:

## Public Member Functions

| PassThrough ()
| Empty constructor. More...
void | setZip (bool zip)
Public Member Functions inherited from pcl_cuda::Filter< PointCloudSOA< Device > >
| Filter ()
| Empty constructor. More...
void | setFilterFieldName (const std::string &field_name)
| Provide the name of the field to be used for filtering data. More...
std::string const | getFilterFieldName ()
| Get the name of the field used for filtering. More...
void | setFilterLimits (const double &limit_min, const double &limit_max)
| Set the field filter limits. More...
void | getFilterLimits (double &limit_min, double &limit_max)
| Get the field filter limits (min/max) set by the user. More...
void | setFilterLimitsNegative (const bool limit_negative)
| Set to true if we want to return the data outside the interval specified by setFilterLimits (min, max). More...
void | getFilterLimitsNegative (bool &limit_negative)
| Get whether the data outside the interval (min/max) is to be returned (true) or inside (false). More...
bool | getFilterLimitsNegative ()
void | filter (PointCloud &output)
| Calls the filtering method and returns the filtered dataset on the device. More...

## Protected Member Functions

void | applyFilter (PointCloud &output)
| Filter a Point Cloud. More...
Protected Member Functions inherited from pcl_cuda::Filter< PointCloudSOA< Device > >
const std::string & | getClassName () const
| Get a string representation of the name of this class. More...

## Additional Inherited Members

Public Types inherited from pcl_cuda::Filter< PointCloudSOA< Device > >
typedef PCLCUDABase< PointCloudSOA< Device > >::PointCloud | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
Protected Attributes inherited from pcl_cuda::Filter< PointCloudSOA< Device > >
std::string | filter_name_
| The filter name. More...
std::string | filter_field_name_
| The desired user filter field name. More...
double | filter_limit_min_
| The minimum allowed filter value a point will be considered from. More...
double | filter_limit_max_
| The maximum allowed filter value a point will be considered from. More...
bool | filter_limit_negative_
| Set to true if we want to return the data outside (filter_limit_min_;filter_limit_max_). More...

## Detailed Description

### template<>
class pcl_cuda::PassThrough< PointCloudSOA< Device > >

Definition at line 144 of file passthrough.h.

## Constructor & Destructor Documentation

## PassThrough()

pcl_cuda::PassThrough< PointCloudSOA< Device > >::PassThrough | ( |  | ) |

inline

Empty constructor.

Definition at line 148 of file passthrough.h.

## Member Function Documentation

## applyFilter()

void pcl_cuda::PassThrough< PointCloudSOA< Device > >::applyFilter | ( | PointCloud & | output | ) |

inline protected virtual

Filter a Point Cloud.

Parameters

  output | the resultant point cloud message

Implements pcl_cuda::Filter< PointCloudSOA< Device > >.

Definition at line 165 of file passthrough.h.

References pcl::geometry::distance().

## setZip()

void pcl_cuda::PassThrough< PointCloudSOA< Device > >::setZip | ( | bool | zip | ) |

inline

Definition at line 154 of file passthrough.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/filters/include/pcl/cuda/filters/passthrough.h